<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="CEAS_PowerSensor">
    <refnamediv>
        <refname>CEAS_PowerSensor</refname>
        <refpurpose>CEAS_PowerSensor Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gif/CEAS_PowerSensor.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_CEAS_PowerSensor">
        <title>Description</title>
    </refsection>
    <refsection id="Palette_CEAS_PowerSensor">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Electrical_pal">Electrical - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_CEAS_PowerSensor">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'pc'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'pv'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'nc'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'nv'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'power'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Value type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_CEAS_PowerSensor">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>CEAS_PowerSensor.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_CEAS_PowerSensor">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Coselica.Electrical.Analog.Sensors.PowerSensor in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
